/***************************************************************************
 *   Copyright (C) 2004 by Carlos Andres Munoz                             *
 *   carmunoz78@yahoo.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __IMAGES_H__
#define __IMAGES_H__

/*!
 * \file images.h
 * \brief Include this file if you need an image, a cursor or an icon
 */

/*!
 * Mouse cursor for the brush tool <img src="../../src/images/cur/brush.xpm">
 */
extern const char *cbrush_xpm[];
/*!
 * Mouse cursor for the circle tool <img src="../../src/images/cur/circle.xpm">
 */
extern const char *ccircle_xpm[];
/*!
 * Mouse cursor for the contour fill tool <img src="../../src/images/cur/contour.xpm">
 */
extern const char *ccontour_xpm[];
/*!
 * Mouse cursor for the dropper tool <img src="../../src/images/cur/dropper.xpm">
 */
extern const char *cdropper_xpm[];
/*!
 * Mouse cursor for the eraser tool <img src="../../src/images/cur/eraser.xpm">
 */
extern const char *ceraser_xpm[];
/*!
 * Mouse cursor for the hand tool <img src="../../src/images/cur/hand.xpm">
 */
extern const char *chand_xpm[];
/*!
 * Mouse cursor for the magnifying glass tool <img src="../../src/images/cur/magnifying.xpm">
 */
extern const char *cmagnifying_xpm[];
/*!
 * Mouse cursor for the node selection tool <img src="../../src/images/cur/nodes.xpm">
 */
extern const char *cnodes_xpm[];
/*!
 * Mouse cursor for the fill tool <img src="../../src/images/cur/paint.xpm">
 */
extern const char *cpaint_xpm[];
/*!
 * Mouse cursor for the pencil tool <img src="../../src/images/cur/pencil.xpm">
 */
extern const char *cpencil_xpm[];
/*!
 * Mouse cursor for the pen tool <img src="../../src/images/cur/pen.xpm">
 */
extern const char *cpen_xpm[];
/*!
 * Mouse cursor for the selection tool <img src="../../src/images/cur/select.xpm">
 */
extern const char *cselect_xpm[];
/*!
 * Mouse cursor for the slicer tool <img src="../../src/images/cur/slicer.xpm">
 */
extern const char *cslicer_xpm[];
/*!
 * Mouse cursor for the rectangle tool <img src="../../src/images/cur/square.xpm">
 */
extern const char *csquare_xpm[];
/*!
 * Mouse cursor for the remove fill tool <img src="../../src/images/cur/unpaint.xpm">
 */
extern const char *cunpaint_xpm[];
/*!
 * Button or menu item icon for move down operations (Used in \e scenes, \e exposure \e sheet and \e timeline
 * dialog boxes) <img src="../../src/images/ico/arrowdown.xpm">
 */
extern const char *arrowdown_xpm[];
/*!
 * Button or menu item icon for move up operations (Used in \e scenes, \e exposure \e sheet and \e timeline
 * dialog boxes) <img src="../../src/images/ico/arrowup.xpm">
 */
extern const char *arrowup_xpm[];
/*!
 * Button or menu item icon that represents the Pen tool <img src="../../src/images/ico/bezier.xpm">
 */
extern const char *bezier_xpm[];
/*!
 * Button or menu item icon that represents the Brush tool <img src="../../src/images/ico/brush.xpm">
 */
extern const char *brush_xpm[];
/*!
 * Button or menu item icon that represents the Close operation <img src="../../src/images/ico/close.xpm">
 */
extern const char *close_xpm[];
/*!
 * Button or menu item icon that represents the Contour Fill tool <img src="../../src/images/ico/contour.xpm">
 */
extern const char *contour_xpm[];
/*!
 * Button or menu item icon that represents the Copy operation <img src="../../src/images/ico/copy.xpm">
 */
extern const char *copy_xpm[];
/*!
 * Button or menu item icon that represents the Cut operation <img src="../../src/images/ico/cut.xpm">
 */
extern const char *cut_xpm[];
/*!
 * Button or menu item icon that has a cross image (Used in Timeline dialog box) <img src="../../src/images/ico/disable.xpm">
 */
extern const char *disable_xpm[];
/*!
 * Button or menu item icon that represents the Dropper tool <img src="../../src/images/ico/dropper.xpm">
 */
extern const char *dropper_xpm[];
/*!
 * Button or menu item icon that represents the Ellipse tool <img src="../../src/images/ico/ellipse.xpm">
 */
extern const char *ellipse_xpm[];
/*!
 * Button or menu item icon that has a point image (Used in Timeline dialog box) <img src="../../src/images/ico/enable.xpm">
 */
extern const char *enable_xpm[];
/*!
 * Button or menu item icon that represents the Eraser tool <img src="../../src/images/ico/eraser.xpm">
 */
extern const char *eraser_xpm[];
/*!
 * Button or menu item icon that represents the Export operation <img src="../../src/images/ico/export.xpm">
 */
extern const char *export_xpm[];
/*!
 * Button or menu item icon that has a painting jar image (Used in color palette dialog box) <img src="../../src/images/ico/fillcolor.xpm">
 */
extern const char *fillcolor_xpm[];
/*!
 * Button or menu item icon that represents the Fill tool <img src="../../src/images/ico/fill.xpm">
 */
extern const char *fill_xpm[];
/*!
 * Button or menu item icon that represents the Fit operation <img src="../../src/images/ico/fit.xpm">
 */
extern const char *fit_xpm[];
/*!
 * Button or menu item icon that represents the remove keyframe operation <img src="../../src/images/ico/frame-.xpm">
 */
extern const char *frameminus_xpm[];
/*!
 * Button or menu item icon that represents the insert keyframe operation <img src="../../src/images/ico/frame+.xpm">
 */
extern const char *frameplus_xpm[];
/*!
 * Button or menu item icon that represents the grid to front/back operations <img src="../../src/images/ico/front_back_grid.xpm">
 */
extern const char *front_back_grid_xpm[];
/*!
 * Button or menu item icon that represents the Hand tool <img src="../../src/images/ico/hand.xpm">
 */
extern const char *hand_xpm[];
/*!
 * Button or menu item icon that represents the Import operation <img src="../../src/images/ico/import.xpm">
 */
extern const char *import_xpm[];
/*!
 * Button or menu item icon that has a lock image <img src="../../src/images/ico/kilit_pic.xpm">
 */
extern const char *kilit_pic_xpm[];
/*!
 * Button or menu item icon that a folded sheet image <img src="../../src/images/ico/layer_pic.xpm">
 */
extern const char *layer_pic_xpm[];
/*!
 * Button or menu item icon that represents the remove layer operation <img src="../../src/images/ico/layer-.xpm">
 */
extern const char *layerminus_xpm[];
/*!
 * Button or menu item icon that represents the insert layer operation <img src="../../src/images/ico/layer+.xpm">
 */
extern const char *layerplus_xpm[];
/*!
 * Button or menu item icon that represents the Line tool <img src="../../src/images/ico/line.xpm">
 */
extern const char *line_xpm[];
/*!
 * Button or menu item icon that represents the lock frame tool <img src="../../src/images/ico/lock.xpm">
 */
extern const char *lock_xpm[];
/*!
 * Button or menu item icon that represents the Magnifying Glass tool <img src="../../src/images/ico/magnifying.xpm">
 */
extern const char *magnifying_xpm[];
/*!
 * Button or menu item icon for removing operations (Used in \e scenes, \e brushes and \e color \e palette
 * dialog boxes) <img src="../../src/images/ico/minussign.xpm">
 */
extern const char *minussign_xpm[];
/*!
 * Button or menu item icon that represents the New Document operation <img src="../../src/images/ico/new.xpm">
 */
extern const char *new_xpm[];
/*!
 * Button or menu item icon that represents the Node Selection tool <img src="../../src/images/ico/nodes.xpm">
 */
extern const char *nodes_xpm[];
/*!
 * Button or menu item icon that represents the Open Document operation <img src="../../src/images/ico/open.xpm">
 */
extern const char *open_xpm[];
/*!
 * Button or menu item icon that represents the Only Outlines operation <img src="../../src/images/ico/outline_pic.xpm">
 */
extern const char *outline_pic_xpm[];
/*!
 * Button or menu item icon that represents the Paste operation <img src="../../src/images/ico/paste.xpm">
 */
extern const char *paste_xpm[];
/*!
 * Button or menu item icon that represents the Pencil tool <img src="../../src/images/ico/pencil.xpm">
 */
extern const char *pencil_xpm[];
/*!
 * Button or menu item icon that represents the Perspective operation <img src="../../src/images/ico/perspective.xpm">
 */
extern const char *perspective_xpm[];
/*!
 * Button or menu item icon for adding operations (Used in \e scenes, \e brushes and \e color \e palette
 * dialog boxes) <img src="../../src/images/ico/plussign.xpm">
 */
extern const char *plussign_xpm[];
/*!
 * Button or menu item icon that represents the Redo operation <img src="../../src/images/ico/redo.xpm">
 */
extern const char *redo_xpm[];
/*!
 * Button or menu item icon that represents the Remove fill tool <img src="../../src/images/ico/removefill.xpm">
 */
extern const char *removefill_xpm[];
/*!
 * Button or menu item icon that represents the Save operation <img src="../../src/images/ico/save.xpm">
 */
extern const char *save_xpm[];
/*!
 * Button or menu item icon that represents the Selection tool <img src="../../src/images/ico/selection.xpm">
 */
extern const char *selection_xpm[];
/*!
 * Button or menu item icon that has an eye image (Used in \e Timeline dialog box)
 * <img src="../../src/images/ico/show_hide_all_layers.xpm">
 */
extern const char *show_hide_all_layers_xpm[];
/*!
 * Button or menu item icon that represents the Slicer tool <img src="../../src/images/ico/slicer.xpm">
 */
extern const char *slicer_xpm[];
/*!
 * Button or menu item icon that represents the Rectangle tool <img src="../../src/images/ico/square.xpm">
 */
extern const char *square_xpm[];
/*!
 * Button or menu item icon that represents the Undo operation <img src="../../src/images/ico/undo.xpm">
 */
extern const char *undo_xpm[];
/*!
 * Button or menu item icon that has a pencil image (Used in \e Timeline dialog box)
 * <img src="../../src/images/ico/written_pic.xpm">
 */
extern const char *written_pic_xpm[];
/*!
 * Button or menu item icon that represents the Zoom In operation <img src="../../src/ico/zoom-in.xpm">
 */
extern const char *zoomin_xpm[];
/*!
 * Button or menu item icon that represents the Zoom Out operation <img src="../../src/images/ico/zoom-out.xpm">
 */
extern const char *zoomout_xpm[];
/*!
 * The background image <img src="../../src/images/ima/background.xpm" width="320" height="240">
 */
extern const char *background_xpm[];
/*!
 * The Splash Screen image <img src="../../src/images/ima/splash.xpm">
 */
extern const char *splash_xpm[];
/*!
 * Button or menu item icon that represents the 12 Field Grid operation <img src="../../src/images/ico/grid12.xpm">
 */
extern const char *grid12_xpm[];
/*!
 * Button or menu item icon that represents the 16 Field Grid operation <img src="../../src/images/ico/grid16.xpm">
 */
extern const char *grid16_xpm[];
/*!
 * Button or menu item icon that represents the Subrid operation <img src="../../src/images/ico/subgrid.xpm">
 */
extern const char *subgrid_xpm[];
/*!
 * Button or menu item icon that represents the No Grid operation <img src="../../src/images/ico/nogrid.xpm">
 */
extern const char *nogrid_xpm[];
/*!
 * Button or menu item icon for inserting a symbol into the drawing area (Used in \e library dialog box)
 * <img src="../../src/images/ico/insert_cg.xpm">
 */
extern const char *insert_cg_xpm[];
/*!
 * Button or menu item icon for adding a folder (Used in \e library dialog box)
 * <img src="../../src/images/ico/addfolder.xpm">
 */
extern const char *addfolder_xpm[];
/*!
 * List view item icon for folder representation (Used in \e library dialog box)
 * <img src="../../src/images/ico/folder_icon.xpm">
 */
extern const char *folder_icon_xpm[];
/*!
 * List view item icon for symbol representation (Used in \e library dialog box)
 * <img src="../../src/images/ico/redhat-graphics.xpm">
 */
extern const char *redhat_graphics_xpm[];
/*!
 * Button or menu item icon that represents the Show Sound Widget operation <img src="../../src/images/ico/sound_widget.xpm">
 */
extern const char *sound_widget_xpm[];
/*!
 * Button or menu item icon that represents the Animation Mode <img src="../../src/images/ico/ani_mode.xpm">
 */
extern const char *ani_mode_xpm[];
/*!
 * Button or menu item icon that represents the Bring to Front operation <img src="../../src/images/ico/bring_to_front.xpm">
 */
extern const char *bring_to_front_xpm[];
/*!
 * Button or menu item icon that represents the Brushes dialog box <img src="../../src/images/ico/brushes.xpm">
 */
extern const char *brushes_xpm[];
/*!
 * Button or menu item icon that represents the Camera Preview dialog box <img src="../../src/images/ico/camera_preview.xpm">
 */
extern const char *camera_preview_xpm[];
/*!
 * Button or menu item icon that represents the Color Palette dialog box <img src="../../src/images/ico/color_palette.xpm">
 */
extern const char *color_palette_xpm[];
/*!
 * Button or menu item icon that represents the Drawing Area widget <img src="../../src/images/ico/drawing_area.xpm">
 */
extern const char *drawing_area_xpm[];
/*!
 * Button or menu item icon that represents the Exposure Sheet dialog box <img src="../../src/images/ico/exposure_sheet.xpm">
 */
extern const char *exposure_sheet_xpm[];
/*!
 * Button or menu item icon that represents the Group operation <img src="../../src/images/ico/group.xpm">
 */
extern const char *group_xpm[];
/*!
 * Button or menu item icon that represents the Illustration Mode <img src="../../src/images/ico/illus_mode.xpm">
 */
extern const char *illus_mode_xpm[];
/*!
 * Button or menu item icon that represents the Library dialog box <img src="../../src/images/ico/library.xpm">
 */
extern const char *library_xpm[];
/*!
 * Button or menu item icon that represents the Light Table operation <img src="../../src/images/ico/light_table.xpm">
 */
extern const char *light_table_xpm[];
/*!
 * Button or menu item icon that represents the NTSC operation <img src="../../src/images/ico/ntsc.xpm">
 */
extern const char *ntsc_xpm[];
/*!
 * Button or menu item icon that represents the One Step Backward operation <img src="../../src/images/ico/one_backward.xpm">
 */
extern const char *one_backward_xpm[];
/*!
 * Button or menu item icon that represents the One Step Forward operation <img src="../../src/images/ico/one_forward.xpm">
 */
extern const char *one_forward_xpm[];
/*!
 * Button or menu item icon that represents the object Properties dialog box <img src="../../src/images/ico/properties.xpm">
 */
extern const char *properties_xpm[];
/*!
 * Button or menu item icon that represents the Render operation (Not used) <img src="../../src/images/ico/render.xpm">
 */
extern const char *render_xpm[];
/*!
 * Button or menu item icon that represents the Scenes dialog box <img src="../../src/images/ico/scenes.xpm">
 */
extern const char *scenes_xpm[];
/*!
 * Button or menu item icon that represents the Send to Back operation <img src="../../src/images/ico/send_to_back.xpm">
 */
extern const char *send_to_back_xpm[];
/*!
 * Button or menu item icon that represents the Side Camera dialog box <img src="../../src/images/ico/side_camera.xpm">
 */
extern const char *side_camera_xpm[];
/*!
 * Button or menu item icon that represents the Timeline dialog box <img src="../../src/images/ico/time_line.xpm">
 */
extern const char *time_line_xpm[];
/*!
 * Button or menu item icon that represents the Tools dialog box <img src="../../src/images/ico/tools.xpm">
 */
extern const char *tools_xpm[];
/*!
 * Button or menu item icon that represents the Top Camera dialog box <img src="../../src/images/ico/top_camera.xpm">
 */
extern const char *top_camera_xpm[];
/*!
 * Button or menu item icon that represents the Ungroup operation <img src="../../src/images/ico/ungroup.xpm">
 */
extern const char *ungroup_xpm[];
/*!
 * Button or menu item icon that represents the No Previous Onion Skin operation <img src="../../src/images/ico/no_previous.xpm">
 */
extern const char *no_previous_xpm[];
/*!
 * Button or menu item icon that represents the Previous Onion Skin operation <img src="../../src/images/ico/previous.xpm">
 */
extern const char *previous_xpm[];
/*!
 * Button or menu item icon that represents the Previous Two Onion Skin operation <img src="../../src/images/ico/previous2.xpm">
 */
extern const char *previous2_xpm[];
/*!
 * Button or menu item icon that represents the Previous Three Onion Skin operation <img src="../../src/images/ico/previous3.xpm">
 */
extern const char *previous3_xpm[];
/*!
 * Button or menu item icon that represents the No Next Onion Skin operation <img src="../../src/images/ico/no_next.xpm">
 */
extern const char *no_next_xpm[];
/*!
 * Button or menu item icon that represents the Next Onion Skin operation <img src="../../src/images/ico/next.xpm">
 */
extern const char *next_xpm[];
/*!
 * Button or menu item icon that represents the Next Two Onion Skin operation <img src="../../src/images/ico/next2.xpm">
 */
extern const char *next2_xpm[];
/*!
 * Button or menu item icon that represents the Next Three Onion Skin operation <img src="../../src/images/ico/next3.xpm">
 */
extern const char *next3_xpm[];
/*!
 * Button or menu item icon that represents the align left operation <img src="../../src/images/ico/align_l.xpm">
 */
extern const char *align_l_xpm[];
/*!
 * Button or menu item icon that represents the align right operation <img src="../../src/images/ico/align_r.xpm">
 */
extern const char *align_r_xpm[];
/*!
 * Button or menu item icon that represents the align top operation <img src="../../src/images/ico/align_t.xpm">
 */
extern const char *align_t_xpm[];
/*!
 * Button or menu item icon that represents the align bottom operation <img src="../../src/images/ico/align_b.xpm">
 */
extern const char *align_b_xpm[];
/*!
 * Button or menu item icon that represents the align center vertically operation <img src="../../src/images/ico/align_cv.xpm">
 */
extern const char *align_cv_xpm[];
/*!
 * Button or menu item icon that represents the align center horizontally operation <img src="../../src/images/ico/align_ch.xpm">
 */
extern const char *align_ch_xpm[];

#endif
